summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-plugins/kodi-inputstream-ffmpegdirect')
-rw-r--r--media-plugins/kodi-inputstream-ffmpegdirect/Manifest1
-rw-r--r--media-plugins/kodi-inputstream-ffmpegdirect/kodi-inputstream-ffmpegdirect-1.21.2.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/media-plugins/kodi-inputstream-ffmpegdirect/Manifest b/media-plugins/kodi-inputstream-ffmpegdirect/Manifest
index 3e76c558dac..e3a5374cc8e 100644
--- a/media-plugins/kodi-inputstream-ffmpegdirect/Manifest
+++ b/media-plugins/kodi-inputstream-ffmpegdirect/Manifest
@@ -1 +1,2 @@
DIST kodi-inputstream-ffmpegdirect-1.21.1.tar.gz 251780 BLAKE2B 7f556a43e5a198fbfc1e9d43eb0a5ecf1cf4efce566b62607907b07165d492e18a1df520326e5d0496c42d87e3c11dab2d1a1f7ad245770ecb0e552f46e2d864 SHA512 506574a90e96d2a5935bdd5e1413e4be974c05eedb9ef74ed1e1dfe9f65f1988fa747f6d4174b3820e7127701bf24b266dd4cd35602b8144ce9eb888a627d0d7
+DIST kodi-inputstream-ffmpegdirect-1.21.2.tar.gz 251804 BLAKE2B ea175882fd88f59655aad795d1bf17f6ab7b1d7c87a6d7709c9ee0b7a060feff6af2cbf26011d704bd245acf698e05fbde99cf16bb6dc2f68e22ca5359146a1d SHA512 fff88a6432bc2fc921faa8d5c5991fddbe5fedc3cd61041422a955d6d39a742f00a7dc9452ae2a3e3f4c5c9c566e9c9caf76ac7e84f99bb515d33c6a6ebc5b04
diff --git a/media-plugins/kodi-inputstream-ffmpegdirect/kodi-inputstream-ffmpegdirect-1.21.2.ebuild b/media-plugins/kodi-inputstream-ffmpegdirect/kodi-inputstream-ffmpegdirect-1.21.2.ebuild
new file mode 100644
index 00000000000..cd932215b4d
--- /dev/null
+++ b/media-plugins/kodi-inputstream-ffmpegdirect/kodi-inputstream-ffmpegdirect-1.21.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake kodi-addon
+
+DESCRIPTION="Kodi's FFMpeg Direct Inputstream addon"
+HOMEPAGE="https://github.com/xbmc/inputstream.ffmpegdirect"
+SRC_URI=""
+
+case ${PV} in
+9999)
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/xbmc/inputstream.ffmpegdirect.git"
+ EGIT_BRANCH="Matrix"
+ inherit git-r3
+ ;;
+*)
+ KEYWORDS="~amd64"
+ CODENAME="Matrix"
+ SRC_URI="https://github.com/xbmc/inputstream.ffmpegdirect/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/inputstream.ffmpegdirect-${PV}-${CODENAME}"
+ ;;
+esac
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+BDEPEND="
+ virtual/pkgconfig
+ "
+
+COMMON_DEPEND="
+ media-video/ffmpeg[encode,libxml2,zlib]
+ virtual/libiconv
+ app-arch/bzip2
+ =media-tv/kodi-19*
+ "
+
+DEPEND="
+ ${COMMON_DEPEND}
+ "
+
+RDEPEND="
+ ${COMMON_DEPEND}
+ "
+
+src_prepare() {
+ [ -d depends ] && rm -rf depends || die
+ cmake_src_prepare
+}